# Method: projects.locations.instances.exportRegisteredParties

- [HTTP request](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties#body.aspect_1)

Exports the list of registered parties. See [Create and manage instances](https://cloud.google.com/financial-services/anti-money-laundering/docs/create-and-manage-instances#export-registered-parties) for information on the output schema for this method.

### HTTP request

`POST https://financialservices.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:exportRegisteredParties`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full path to the Instance resource in this API. format: `projects/{project}/locations/{location}/instances/{instance}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `financialservices.v1instances.exportRegisteredParties` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataset": { object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults#BigQueryDestination`) }, "lineOfBusiness": enum (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/LineOfBusiness`) } ``` |

| Fields ||
|---|---|
| `dataset` | ``object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults#BigQueryDestination`)`` Required. The location to output the RegisteredParties. |
| `lineOfBusiness` | ``enum (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/LineOfBusiness`)`` Required. LineOfBusiness to get RegisteredParties from. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `financialservices.v1instances.exportRegisteredParties`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).